%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc

%define glib2_version 2.2.3

Name:		libgtop2
Summary:        libgtop library (version 2)
Version: 	2.0.5
Release:        1
License: 	LGPL
URL:            ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/libgtop
Group:          System Environment/Libraries
Source: 	libgtop-%{version}.tar.bz2

Patch0:		libgtop-2.0.5-aix.patch
Patch1:		libgtop-2.0.5-autotools.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	glib2 >= %{glib2_version}

BuildRequires:	glib2-devel >= %{glib2_version}

%description
libgtop is a library for portably obtaining information about processes, 
such as their PID, memory usage, etc.

%package devel
Summary: 	Libraries and include files for developing with libgtop.
Group: 		Development/Libraries
Requires:	%{name} = %{version}
Requires:	glib2-devel >= %{glib2_version}

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with libgtop.

%prep
%setup -q -n libgtop-%{version}

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/libgtop-2.0.5-aix.patch
$PATCH -p2 -s < %{_sourcedir}/libgtop-2.0.5-autotools.patch


%build
PATH=%{_bindir}:$PATH ./configure --prefix=%{_prefix}
make

%install
if test "%{buildroot}" != "/"; then
        rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} install-strip

# Make the links
cd %{buildroot}
for dir in bin lib
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%clean

%post
chown root:system %{_bindir}/libgtop_server2
chmod g+s %{_bindir}/libgtop_server2

%files 
%defattr(-, root, system)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_libdir}/*.a
%{_datadir}/locale/*/LC_MESSAGES/libgtop-2.0.mo
%{_prefix}/info/*.info

/usr/bin/*
/usr/lib/lib*.a

%files devel
%defattr(-, root, system)
%{_libdir}/*.la
%{_includedir}/libgtop-2.0
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libgtop/include/*.h
